> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/12/internals/system-catalogs/pg_views.md).

# 51.95. pg\_views

檢視表 pg\_views 提供對資料庫中每個檢視表有用的資訊。

## **Table 51.96. `pg_views` Columns**

| Name         | Type   | References                                                              | Description               |
| ------------ | ------ | ----------------------------------------------------------------------- | ------------------------- |
| `schemaname` | `name` | [`pg_namespace`](/12/internals/system-catalogs/pg_namespace.md).nspname | 檢視表所屬的綱要名稱                |
| `viewname`   | `name` | \`\`[`pg_class`](/12/internals/system-catalogs/pg_class.md).relname     | 檢視表的名稱                    |
| `viewowner`  | `name` | \`\`[`pg_authid`](/12/internals/system-catalogs/pg_authid.md).rolname   | 檢視表的擁有者                   |
| `definition` | `text` |                                                                         | 檢視表的內容定義（重新建構的 SELECT 查詢） |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/12/internals/system-catalogs/pg_views.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
